## CamelVTrashFolder

CamelVTrashFolder

## Functions

CamelFolder * | camel_vtrash_folder_new ()
CamelVTrashFolderType | camel_vtrash_folder_get_folder_type ()

## Types and Values

#define | CAMEL_VTRASH_NAME
#define | CAMEL_VJUNK_NAME
enum | CamelVTrashFolderType

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelFolder
                ╰── CamelVeeFolder
                    ╰── CamelVTrashFolder

## Description

## Functions

### camel_vtrash_folder_new ()

    CamelFolder *
    camel_vtrash_folder_new (CamelStore *parent_store,
                             CamelVTrashFolderType type);

Create a new CamelVTrashFolder object.

#### Parameters

parent_store | the parent CamelVeeStore object |
type | type of vfolder, CAMEL_VTRASH_FOLDER_TRASH or CAMEL_VTRASH_FOLDER_JUNK currently. |

#### Returns

a new CamelVTrashFolder object

### camel_vtrash_folder_get_folder_type ()

    CamelVTrashFolderType
    camel_vtrash_folder_get_folder_type (CamelVTrashFolder *vtrash_folder);

#### Parameters

vtrash_folder | a CamelVTrashFolder |

#### Returns

a `vtrash_folder` folder type (CamelVTrashFolderType)

Since: 3.24

## Types and Values

### CAMEL_VTRASH_NAME

    #define CAMEL_VTRASH_NAME ".#evolution/Trash"

### CAMEL_VJUNK_NAME

    #define CAMEL_VJUNK_NAME ".#evolution/Junk"

### enum CamelVTrashFolderType

#### Members

CAMEL_VTRASH_FOLDER_TRASH |  |
CAMEL_VTRASH_FOLDER_JUNK |  |
CAMEL_VTRASH_FOLDER_LAST |  |